
using QYZH.InteractiveMagazine.Models.Dto;
using QYZH.InteractiveMagazine.Models.Entity;

namespace QYZH.InteractiveMagazine.IService;

public interface IAdminAuthService : IBaseService<AdminUser>
{
    Task<AdminLoginOutput> LoginAsync(AdminLoginInput input);

    Task LogoutAsync(long userId);

    Task<AdminUserInfoOutput> GetAdminInfoAsync(long userId);

    Task ChangePasswordAsync(long userId, string oldPassword, string newPassword);
}
